Subject: [i2rs] ABNO Updated - draft-farrkingel-pce-abno-architecture-01

From: "Daniel King" <[email-masked]>
Date: Thu, 13 Dec 2012 20:30:34 -0000

Hi All, 

Thanks for all the feedback so far. Please find a new version of the
document:

http://tools.ietf.org/html/draft-farrkingel-pce-abno-architecture-01

Updates include:

- Clarification of scope (>data center and CDN)
- Updates to architecture model 
- Discussing implementation of the architecture
- Placeholder for survivability and redundancy
- General readability and nit fixes

We know several people are working on text for additional use cases, and we
look forward to seeing those contributions!

Br, Dan & Adrian.

-----Original Message-----
From: Adrian Farrel [mailto:[email-masked]] 
Sent: 03 December 2012 14:22
To: [email-masked]; 'Daniel King'
Cc: 'JACQUENET Christian OLNC/OLN'; [email-masked]
Subject: RE: [i2rs] A new draft on an architecture for application-based
network operations

Hi Med,

Thanks for your comments.

Because you responded on the I2RS list, I will as well, but maybe we should
take this off-list to avoid gumming up the charter discussions with
something that is pretty-much off-topic.

In short, you are right that there are commercial and administrative
policies that come into play. If I recall right, your I-D was by way of an
applicability statement showing how the PCE blocks could fit together. It
might be interesting to review your work in the light of hierarchical PCE to
see how that all bolts together.

We will look at how we can add some further explanation of the interactions
of policy in this process to the example in Section 3.1 (without turning
this into a full and detailed blow-by-blow explanation). Would surely
welcome your input.

You ask what value is added by the I2RS approach to the inter-AS setup
described in Section 3.1. My answer: none. And that is why the example in
3.1 does not mention I2RS.

Cheers,
Adrian

> I read this draft and I was interested in Section 3.1
> (http://tools.ietf.org/html/draft-farrkingel-pce-abno-architecture-00#
> section-
> 3.1).
> 
> The current text makes no assumption whether administrative setup is 
> needed before sending any request to reserve some inter-domain 
> resources. FWIW, we have edited in the past this document: 
> http://tools.ietf.org/html/draft- boucadair-pce-interas-01. Two types of
agreements are needed for such model:
> (1) between adjacent domains and (2) between the entities managing the 
> end ASes which will terminate LSPs. This document uses COPS to put 
> into effect computed inter-domain LSPs. The document proposes also: a 
> solution to discover a remote AS is supporting the PCE service, a 
> solution to avoid advertising the
IP
> addresses of routers which are candidate to be tail/head end of an
inter-domain
> LSP, etc. A demo of the full system can be found here: http://www.ist- 
> mescal.org/roadmap/pcs-demo.avi
> 
> Since 2005 (at the edited that document), there are several advances. 
> It would
be
> valuable to explain what is the added value of the i2rs approach for 
> this use
case
> compared to what was proposed in the document cited above.
> 
> Cheers,
> Med
> 
> 
> >-----Message d'origine-----
> >De : [email-masked] [mailto:[email-masked]] De la part 
> >de Daniel King Envoyé : dimanche 2 décembre 2012 00:03 À : 
> >[email-masked] Cc : [email-masked]; [email-masked] Objet : 
> >[i2rs] A new draft on an architecture for application-based network 
> >operations
> >
> >Dear i2rs,
> >
> >Adrian and I posted an I-D which is a rather grandiose attempt to 
> >pull together a number of existing architectural components (PCE, 
> >VNTM, I2RS, policy, etc., etc.). This is a sort of meta-SDN PCE-based 
> >architect-thingy.
> >It needed a name, so we called it Application-Based Network 
> >Operations (ABNO), warning it's not house trained and may answer to 
> >various other
> >names:
> >
> >A PCE-based Architecture for Application-based Network Operations
> >http://tools.ietf.org/html/draft-farrkingel-pce-abno-architecture-00
> >
> >As some of you will know this is the result of numerous discussions 
> >we have had with a number of people over the last three months.  
> >Where pieces of the puzzle seem to have been coagulating, we thought 
> >it might be nice to build a framework in which the jelly (jello) can 
> >set. It is at a really early stage, so we are convinced you will all 
> >throw stuff at us, but what the hell!
> >
> >As it stands, the current draft includes:
> >
> >- A brief description of abstraction functional components and the 
> >interfaces between them.
> >- An attempt to supply pointers to existing work (tool kit) where 
> >that may be applicable and there are some use case examples to give a 
> >feel for how it all works.
> >- Various ABNO use cases.
> >
> >A number of areas need further discussion, especially the use cases. 
> >We decided to submit with the few we do have, in order to generate 
> >some feedback - anyone who wants to supply use case(s) and text, 
> >would receive hero status.
> >
> >We have pitched the document as a PCE working group document because 
> >PCE is a central component, but the document doesn't really fall 
> >inside the PCE charter. For the time being it might be best to send 
> >comments direct to us rather than clutter up any WG mailing list with 
> >discussions that are outside the charter (but if some WG chair wants 
> >to claim the work, then...)
> >
> >Thanks,
> >Dan and Adrian
> >
> >_______________________________________________
> >i2rs mailing list
> >[email-masked]
> >https://www.ietf.org/mailman/listinfo/i2rs
> >=